.sidebar {
  background: #fff;
  position: fixed;
  height: 100vh;
  min-width: 320px;
  max-width: 75%;
  top: 0;
  display: flex;
  -webkit-box-orient: vertical;
  -webkit-box-direction: normal;
  flex-direction: column;
  box-shadow: 0 0 15px 0 rgba(0,0,0,.05);
  right: -100%;
  transition: right 0.25s ease;
  z-index: 40000;
  &__header {
    position: relative;
    display: -ms-flexbox;
    display: flex;
    flex-wrap: wrap;
    align-items: center;
    min-height: 72px;
    box-shadow: 0 2px 2px 0 rgba(117,117,117,0.1);
    padding: 10px 20px;
    h3 {
      font-size: 18px;
    }
    .close {
      background: none;
      outline: none;
      border: none;
      margin-left: auto;
      font-size: 18px;
      font-weight: normal;
      line-height: 0.8;
      opacity: 0.5;
      &:hover {
        opacity: 1;
        fa-icon {
          color: #000;
        }
      }
    }
  }
  &__body {
    padding: 30px 20px;
    background: inherit;
    overflow-y: auto;
    height: 100%;
  }
  &__spacer {
    padding: 0;
    margin: 0;
    -webkit-box-flex: 1!important;
    -ms-flex-positive: 1!important;
    flex-grow: 1!important;
    background: transparent;
  }
  &__footer {
    border-top: 1px solid rgba(0,0,0,.06);
  }
  &__grabber {
    content: '';
    position: absolute;
    top: 0;
    left: 0;
    margin-right: -15px;
    cursor: col-resize;
    height: 100%;
    width: 15px;
    overflow: hidden;
    background-color: rgba(241,241,241,0);
    opacity: 1;
    &:hover,
    &:active {
      background-color: rgba(241,241,241,1);
    }
    fa-icon {
      position: absolute;
      top: 50%;
      margin-top: -22px;
      left: 5px;
    }
  }
}
.sidebar__overlay {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background: rgba(27,51,90,0.5);
  z-index: 1000;
  display: none;
}
@media screen and (max-width: 39.9375em) {
  .sidebar {
    max-width: 100%;
  }
}
@media screen and (min-width: 40em) and (max-width: 63.9375em) {
  .sidebar {
    max-width: 100%;
  }
}
